# Uses of Enum Class
org.bukkit.PortalType

Packages that use PortalType
Package
Description
io.papermc.paper.event.entity
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of PortalType in io.papermc.paper.event.entity

Methods in io.papermc.paper.event.entity that return PortalType
Modifier and Type
Method
Description
`@NotNull PortalType`
EntityPortalReadyEvent.`getPortalType()`
Gets the portal type for this event.
Constructors in io.papermc.paper.event.entity with parameters of type PortalType
Modifier
Constructor
Description
``
`EntityPortalReadyEvent(@NotNull Entity entity, @Nullable World targetWorld, @NotNull PortalType portalType)`

## Uses of PortalType in org.bukkit

Methods in org.bukkit that return PortalType
Modifier and Type
Method
Description
`static PortalType`
PortalType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PortalType[]`
PortalType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of PortalType in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return PortalType
Modifier and Type
Method
Description
`@NotNull PortalType`
EntityCreatePortalEvent.`getPortalType()`
Deprecated.
Gets the type of portal that is trying to be created.
Constructors in org.bukkit.event.entity with parameters of type PortalType
Modifier
Constructor
Description
``
`EntityCreatePortalEvent(@NotNull LivingEntity what, @NotNull List<BlockState> blocks, @NotNull PortalType type)`
Deprecated.